Description

Currently in the settings under "Select actions for which email notifications should be sent", if the "Issue updated" option is checked,

an email notification is sent when an attachment is added to a issue.

However, if the "Issue updated" option is unchecked, and only sub-options such as "Note added" or "Status updated" are checked,

then no email notification is sent when an attachment is added.

It would be beneficial to have a separate notification setting for adding attachments, independent of other options. This would allow

users to receive notifications specifically for added attachments without having to enable unrelated options. By implementing this,

users can that they receive notifications tailored to their preferences, even if the "Issue updated" option is not selected.
Associated revisions

Revision 22790 - 2024-04-28 08:40 - Marius BĂLTEANU

Adds an option to send email notification when an attachment is added (#40569).

Patch by  Mizuki ISHIKAWA (#ishikawa999).

Revision 22810 - 2024-05-03 15:04 - Marius BĂLTEANU

Updates locales (#40569).

History

#1 - 2024-04-17 09:19 - Mizuki ISHIKAWA

- File feature-40569.patch added

Patch attached.

#2 - 2024-04-28 08:40 - Marius BĂLTEANU

- Status changed from New to Resolved

- Assignee set to Marius BĂLTEANU

- Target version set to 6.0.0

- Resolution set to Fixed

Committed the patch, thanks!

#3 - 2024-04-29 21:09 - Marius BĂLTEANU

- Status changed from Resolved to Closed
